## net.i2p.router
Class TunnelSettings

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.router.TunnelSettings

All Implemented Interfaces:
  DataStructure

public class TunnelSettings
extends DataStructureImpl

Wrap up the settings specified for a particular tunnel

Constructor Summary
`TunnelSettings(I2PAppContext context)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`long` `getBytesPerMinuteAverage()`
`long` `getBytesPerMinutePeak()`
`long` `getCreated()`
`int` `getDepth()`
`long` `getExpiration()`
`boolean` `getIncludeDummy()`
`long` `getMessagesPerMinuteAverage()`
`long` `getMessagesPerMinutePeak()`
`boolean` `getReorder()`
`int` `hashCode()`
`void` `readBytes(java.io.InputStream in)` Load up the current object with data from the given stream.
`void` `setBytesPerMinuteAverage(long bytes)`
`void` `setBytesPerMinutePeak(long bytes)`
`void` `setDepth(int depth)`
`void` `setExpiration(long expiration)`
`void` `setIncludeDummy(boolean include)`
`void` `setMessagesPerMinuteAverage(long msgs)`
`void` `setMessagesPerMinutePeak(long msgs)`
`void` `setReorder(boolean reorder)`
`void` `writeBytes(java.io.OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TunnelSettings

    public TunnelSettings(I2PAppContext context)

Method Detail

### getDepth

    public int getDepth()

### setDepth

    public void setDepth(int depth)

### getMessagesPerMinuteAverage

    public long getMessagesPerMinuteAverage()

### getMessagesPerMinutePeak

    public long getMessagesPerMinutePeak()

### getBytesPerMinuteAverage

    public long getBytesPerMinuteAverage()

### getBytesPerMinutePeak

    public long getBytesPerMinutePeak()

### setMessagesPerMinuteAverage

    public void setMessagesPerMinuteAverage(long msgs)

### setMessagesPerMinutePeak

    public void setMessagesPerMinutePeak(long msgs)

### setBytesPerMinuteAverage

    public void setBytesPerMinuteAverage(long bytes)

### setBytesPerMinutePeak

    public void setBytesPerMinutePeak(long bytes)

### getIncludeDummy

    public boolean getIncludeDummy()

### setIncludeDummy

    public void setIncludeDummy(boolean include)

### getReorder

    public boolean getReorder()

### setReorder

    public void setReorder(boolean reorder)

### getExpiration

    public long getExpiration()

### setExpiration

    public void setExpiration(long expiration)

### getCreated

    public long getCreated()

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `DataFormatException` - if the data is improperly formatted
    `java.io.IOException` - if there was a problem reading the stream

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `DataFormatException` - if the data was incomplete or not yet ready to be written
    `java.io.IOException` - if there was a problem writing to the stream

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)